View Issue Details

IDProjectCategoryView StatusLast Update
0001936PartDesignBugpublic2017-04-28 19:33
Reporterquick61Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.14 
Target VersionFixed in Version0.17 
Summary0001936: Part Design Pad Fails with Circle In Square When Circle Is Close To Edge Of Square.
DescriptionIn Part Design, when creating a square and including a circle that has a radius close to the edges of the square, Pad fails and produces an invalid solid.

This is occurring in both Release and Master versions as reported on the FreeCAD forum.
Steps To ReproduceCreate a sketch consisting of a 40 mm square and an 18.5 mm radius circle centered in the square. Pad the Sketch.

See attached file.
Additional InformationFreeCAD forum threads -

http://forum.freecadweb.org/viewtopic.php?f=3&t=9494

http://forum.freecadweb.org/viewtopic.php?f=3&t=9262

OS: Kubuntu 14.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4530 (Git)
Branch: master
Hash: 2ef086a02837670c21de65e8d33fa17fe1d8ef59
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17-dev

and

OS: Kubuntu 14.04.1 LTS
Word size: 64-bit
Version: 0.14.3705 (Git)
Branch: releases/FreeCAD-0-14
Hash: f25e6e4716fb63ef3ac618ce9e552761bbc1b4b1
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
SoQt version: 1.6.0a
OCC version: 6.7.1
TagsOCC 7.1, OCC Bug, upstream

Activities

2015-01-27 06:10quick61New Issue
2015-01-27 06:10quick61File Added: Pad_Fail.fcstd

quick61

2015-01-27 06:10

reporter  

Pad_Fail.fcstd (5,737 bytes)

quick61

2015-01-27 21:45

reporter   ~0005743

After doing some testing, it seems that any circle that has a radius equal to or greater than 96.19% of the edge length of the square will fail to produce a valid Pad.

http://forum.freecadweb.org/viewtopic.php?f=3&t=9494#p77032
2017-01-16 10:14Kunda1ProjectFreeCAD => PartDesign

Kunda1

2017-04-26 11:09

manager   ~0008769

@NormandC wrote:
This is no longer an issue in current master based on OCCT 7.1.0, but still is with OCCT 6.8.0. I sketched a 40x40mm square with a R19.999mm circle inside it, the Pad works and produces a valid solid with the latest OCCT version.

If someone else confirms we can set this report as fixed.

To quickly check:
  1. Load the attached file
  2. Right-click on the Document label ("Pad_Fail") and select "Mark to recompute"
  3. Click on the Refresh icon or CTRL + R
  4. The solid in the 3D view should update to a box with a large hole in it.


OS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10807 (Git)
Build type: None
Branch: master
Hash: b32e9806e1b075c745c0c9692e81aea1dcab81e4
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0

Kunda1

2017-04-26 11:11

manager   ~0008770

@chrisb replied:
The error exists in 0.16.6707.
The error is gone in 0.17 if the sketch is created and padded within a body.

OS: Ubuntu 14.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10887 (Git)
Build type: None
Branch: master
Hash: 67fc70dadae471cb3d77dcf5562b4a86ec79f95d
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 7.1.0

Kunda1

2017-04-26 11:12

manager   ~0008771

Thanks guys. Resolving ticket.
2017-04-26 11:12Kunda1Statusnew => resolved
2017-04-26 11:12Kunda1Product Version => 0.14
2017-04-26 11:12Kunda1Fixed in Version => 0.17
2017-04-26 11:13Kunda1Tag Attached: OCC 7.1
2017-04-26 11:13Kunda1Tag Attached: OCC Bug
2017-04-26 11:14Kunda1Tag Attached: upstream
2017-04-28 19:33Kunda1Statusresolved => closed
2017-04-28 19:33Kunda1Resolutionopen => fixed

Issue History

Date Modified Username Field Change
2015-01-27 06:10 quick61 New Issue
2015-01-27 06:10 quick61 File Added: Pad_Fail.fcstd
2015-01-27 21:45 quick61 Note Added: 0005743
2017-01-16 10:14 Kunda1 Project FreeCAD => PartDesign
2017-04-26 11:09 Kunda1 Note Added: 0008769
2017-04-26 11:11 Kunda1 Note Added: 0008770
2017-04-26 11:12 Kunda1 Status new => resolved
2017-04-26 11:12 Kunda1 Product Version => 0.14
2017-04-26 11:12 Kunda1 Fixed in Version => 0.17
2017-04-26 11:12 Kunda1 Note Added: 0008771
2017-04-26 11:13 Kunda1 Tag Attached: OCC 7.1
2017-04-26 11:13 Kunda1 Tag Attached: OCC Bug
2017-04-26 11:14 Kunda1 Tag Attached: upstream
2017-04-28 19:33 Kunda1 Status resolved => closed
2017-04-28 19:33 Kunda1 Resolution open => fixed